<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerfileContext>..\..</DockerfileContext>
		<SpaRoot>..\yuna.website.client</SpaRoot>
		<SpaProxyLaunchCommand>npm run dev</SpaProxyLaunchCommand>
		<SpaProxyServerUrl>https://localhost:5173</SpaProxyServerUrl>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Dapper" Version="2.1.35" />
		<PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.2" />
		<PackageReference Include="Microsoft.AspNetCore.SpaProxy">
			<Version>8.*-*</Version>
		</PackageReference>
		<PackageReference Include="Microsoft.Data.SqlClient" Version="5.2.1" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.6" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="Npgsql" Version="8.0.3" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
		<PackageReference Include="Serilog" Version="3.1.1" />
		<PackageReference Include="Serilog.AspNetCore" Version="8.0.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\yuna.website.client\yuna.website.client.esproj">
			<ReferenceOutputAssembly>false</ReferenceOutputAssembly>
		</ProjectReference>
	</ItemGroup>

</Project>
